#
# spec file for package librcd0 (Version 0.1.13)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           librcd0
Version:        0.1.13
Release:        1.1.1
License:        LGPLv2.1+
Summary:        Russian Charset Detection Library
Url:            http://rusxmms.sourceforge.net
Group:          System/Libraries
Source0:        librcd-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Automatic encoding detection library for russian/ukrainian languages. Optimized
for very small words and phrases.

Authors:
--------
    Suren A. Chilingaryan <csa@dside.dyndns.org>

%package -n     librcd-devel
License:        LGPLv2.1+
Group:          Development/Libraries/C and C++
Summary:        Development Files for LibRCD
Requires:       %{name} = %{version}

%description -n librcd-devel
Development files for the package LibRCD.

Authors:
--------
    Suren A. Chilingaryan <csa@dside.dyndns.org>

%prep
%setup -qn librcd-%{version}

%build
./autogen.sh
%{configure} --disable-static
%{__make} %{?jobs:-j %jobs}

%install
%{makeinstall}
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -rf %{_builddir}/librcd-%{version}/examples/{.deps,Makefile}

%clean
[ %{buildroot} != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librcd.so.*

%files -n librcd-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README examples
%{_includedir}/*
%{_libdir}/librcd.so

%changelog
* Wed Apr  7 2010 lazy.kent.suse@gmail.com
- corrected Summary
* Fri Apr  2 2010 lazy.kent.suse@gmail.com
- add COPYING
* Mon Mar  8 2010 lazy.kent.suse@gmail.com
- spec-file reworked
* Sat Feb 13 2010 csa@dside.dyndns.org
- Update to 0.1.13
* Mon Oct  6 2008 andamasov@gmail.com
- Update to 0.1.11
* Wed Jun 18 2008 highwaystar.ru@gmail.com
- initial OBS build
